Bug 179424 - CVE-2006-0301 PDF splash handling heap overflow (FC5 test2)
CVE-2006-0301 PDF splash handling heap overflow (FC5 test2)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
impact=important,reported=20060126,so...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 03:25 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 15:23:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-01-31 03:25:59 EST
+++ This bug was initially created as a clone of Bug #179054 +++

PDF splash handling heap overflow

Dirk Mueller told vendor-sec about a buffer overflow issue in the xpdf
codebase when handling splash images.

The proposed patch is attachment 123745 [details]

-- Additional comment from bressers@redhat.com on 2006-01-26 16:28 EST --
There is a repoducer for this issue in attachment 123746 [details]
Comment 1 Mark J. Cox (Product Security) 2006-02-06 04:22:31 EST
ping!  if fixed in rawhide please close this bug, otherwise please try to fix
this before FC5Test3 (Feb 13)

Comment 2 Kristian Høgsberg 2006-02-09 15:23:29 EST
This bug doesn't affect the rawhide build of poppler.  In rawhide, poppler use
the cairo rendering backend, so the problem doesn't affect that build.

Note You need to log in before you can comment on or make changes to this bug.